#include<iostream>
#include<algorithm>
using namespace std;
bool k[100009];
int main(){
long long a,b,l,br=0;
cin>>a>>b>>l;
for(int i=1;i<=1000;i++){
    for(int j=1;j<=1000;j++){
        if(a*i+b*j<=l){
            k[a*i+b*j]=true;
        }
    }
}
for(int i=1;i<=l;i++){
    if(!k[i]){br++;}
}
cout<<br;
return 0;
}
